Install razberry on lates raspbian lite fails

Discussions about RaZberry - Z-Wave board for Raspberry computer
Post Reply
ftrueck
Posts: 41
Joined: 24 Dec 2015 23:46

Install razberry on lates raspbian lite fails

Post by ftrueck » 01 Jan 2018 18:30

Hi,
I've set up a plain install from raspbian lite (stretch).
I then ran the installer script which did complete with errors regarding stat on devices*.xml failed.
After Install the z-way-server is not running.

After some painfull inspection I found that libssl was not installed by the installer because it is now version 1.0.2.
After manually installing libssl the server still will not run as he cannot find libcrypto.so.1.0.0.

Doing apt-file search libcrypto.so.1.0.0 will return no result.
Doing apt-file search libcrypto.so will return libssl1.0.2: /usr/lib/arm-linux-gnueabihf/libcrypto.so.1.0.2

It seems zway is linked to an old libssl which is not available anymore.

Any hints how I can get this running?

Regards and thanks,
Florian

Post Reply